// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// StateUsecase is an autogenerated mock type for the StateUsecase type
type StateUsecase struct {
	mock.Mock
}

// BatchUpdate provides a mock function with given fields: items
func (_m *StateUsecase) BatchUpdate(items *[]models.State) error {
	ret := _m.Called(items)

	var r0 error
	if rf, ok := ret.Get(0).(func(*[]models.State) error); ok {
		r0 = rf(items)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Create provides a mock function with given fields: item
func (_m *StateUsecase) Create(item *models.State) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.State) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: id
func (_m *StateUsecase) Delete(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: id
func (_m *StateUsecase) Get(id *uint) (*models.State, error) {
	ret := _m.Called(id)

	var r0 *models.State
	if rf, ok := ret.Get(0).(func(*uint) *models.State); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields: stateMachineId
func (_m *StateUsecase) List(stateMachineId uint) (*[]models.State, error) {
	ret := _m.Called(stateMachineId)

	var r0 *[]models.State
	if rf, ok := ret.Get(0).(func(uint) *[]models.State); ok {
		r0 = rf(stateMachineId)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.State)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(stateMachineId)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *StateUsecase) Update(item *models.State) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.State) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
